Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::RayIntersection Class Reference

レイ交差 More...

`#include <RayIntersection.h>`

List of all members.

## Static Public Member Functions
bool | intersect (const Ray &ray, const Vector3 &point, float range=Math::epsilon)
| 点交差
bool | intersect (const Ray &ray0, const Ray &ray1, float range=Math::epsilon)
| 交差
bool | intersect (const Ray &ray, const Segment &segment, float range=Math::epsilon)
| セグメント交差
bool | intersect (const Ray &ray, const Sphere &sphere)
| 球交差
bool | intersect (const Ray &ray, const Triangle &triangle)
| 三角交差

## Detailed Description

レイ交差

Definition at line 39 of file RayIntersection.h.

## Member Function Documentation

bool Lamp::RayIntersection::intersect | ( | const Ray & | ray,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角交差 Parameters:
  ray | レイ
  triangle | 三角
Returns: 交差していればtrue Definition at line 68 of file RayIntersection.cpp. References Assert.

bool Lamp::RayIntersection::intersect | ( | const Ray & | ray,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球交差 Parameters:
  ray | レイ
  sphere | 球
Returns: 交差していればtrue Definition at line 58 of file RayIntersection.cpp. References Lamp::Sphere::getCenter(), Lamp::Sphere::getRadius(), and Lamp::Ray::getSquaredDistance().

bool Lamp::RayIntersection::intersect | ( | const Ray & | ray,
|  | const Segment & | segment,
|  | float | range = Math::epsilon
| ) | `[static]`

  | セグメント交差 Parameters:
  ray | レイ
  segment | セグメント
  range | 交差範囲
Returns: 交差していればtrue Definition at line 50 of file RayIntersection.cpp. References Lamp::Ray::getSquaredDistance().

bool Lamp::RayIntersection::intersect | ( | const Ray & | ray0,
|  | const Ray & | ray1,
|  | float | range = Math::epsilon
| ) | `[static]`

  | 交差 Parameters:
  ray0 | レイ
  ray1 | レイ
  range | 交差範囲
Returns: 交差していればtrue Definition at line 43 of file RayIntersection.cpp. References Lamp::Ray::getSquaredDistance().

bool Lamp::RayIntersection::intersect | ( | const Ray & | ray,
|  | const Vector3 & | point,
|  | float | range = Math::epsilon
| ) | `[static]`

  | 点交差 Parameters:
  ray | レイ
  point | 点
  range | 交差範囲
Returns: 交差していればtrue Definition at line 34 of file RayIntersection.cpp. References Assert.

The documentation for this class was generated from the following files:

- RayIntersection.h
- RayIntersection.cpp